.view--content-events.view--block-all-calendar .view__header .view__nav-list-item--calendar a {
  --a--text-underline-offset: 22.5%;
  color: var(--a--color--active, var(--a--color, currentColor));
  background-color: var(--a--bg-color--active, var(--a--bg-color));
  text-decoration-line: var(--a--text-decoration-line--active, var(--a--text-decoration-line, underline));
  text-decoration-thickness: var(--a--text-decoration-thickness--active, 20%);
  text-decoration-color: var(--a--text-decoration-color--active, var(--a--text-decoration-color));
}

.view--content-events.view--block-all-calendar .calendar-view-pager {
  justify-content: space-between;
}
.view--content-events.view--block-all-calendar .calendar-view-table {
  --tr--border-bottom--color: #CCCCCC;
  --td--border--color: #CCCCCC;
  border-collapse: collapse;
  width: 100%;
  display: grid;
  grid-template-columns: repeat(7, 1fr);
}
.view--content-events.view--block-all-calendar .calendar-view-table tr,
.view--content-events.view--block-all-calendar .calendar-view-table thead,
.view--content-events.view--block-all-calendar .calendar-view-table tbody {
  grid-column: 1/-1;
  display: grid;
  grid-template-columns: repeat(7, 1fr);
  width: 100%;
}
.view--content-events.view--block-all-calendar .calendar-view-table caption {
  display: none;
}
.view--content-events.view--block-all-calendar .calendar-view-table td {
  padding: 0;
  min-height: 99px;
}
.view--content-events.view--block-all-calendar .calendar-view-table th {
  background-color: #090A0F;
  color: #ffffff;
  text-align: center;
  text-transform: uppercase;
}
.view--content-events.view--block-all-calendar .calendar-view-table .calendar-view-day {
  padding: 0.5rem;
  display: flex;
  flex-direction: column;
  flex: 1;
}
.view--content-events.view--block-all-calendar .calendar-view-table .calendar-view-day__number {
  margin-bottom: 5.89824px;
  flex: 0 0 auto;
  align-self: flex-end;
  width: 1.5rem;
  font-size: 0.65em;
  border-radius: 100%;
  line-height: 1.25;
  padding: 0.5em 0.15em;
  text-align: center;
  background-color: #090A0F;
  color: #ffffff;
}
.view--content-events.view--block-all-calendar .calendar-view-table .calendar-view-day__rows {
  width: 100%;
  position: relative;
  display: flex;
  flex-direction: column;
  gap: 5.89824px;
}
.view--content-events.view--block-all-calendar .calendar-view-table .calendar-view-day__row {
  flex: 1;
  margin: 0 auto;
  padding: 5.89824px;
  background-color: #EDF7F7;
  font-size: 0.8rem;
}
.view--content-events.view--block-all-calendar .calendar-view-table .calendar-view-day__row > * + * {
  margin-top: 4.718592px;
}
.view--content-events.view--block-all-calendar .calendar-view-table .is-today {
  background-color: #E1E8EC;
}
.view--content-events.view--block-all-calendar .calendar-view-table .is-today .calendar-view-day__number {
  font-weight: 700;
  border-radius: 0;
}
.view--content-events.view--block-all-calendar .calendar-view-table .current-month {
  background: #ffffff;
}
.view--content-events.view--block-all-calendar .calendar-view-table .current-month.is-today {
  background-color: #E1E8EC;
}
.view--content-events.view--block-all-calendar .calendar-view-table .next-month,
.view--content-events.view--block-all-calendar .calendar-view-table .previous-month {
  background: #F7F6F4;
}
@media (width < 48em) {
  .view--content-events.view--block-all-calendar .calendar-view-table thead,
  .view--content-events.view--block-all-calendar .calendar-view-table .next-month,
  .view--content-events.view--block-all-calendar .calendar-view-table .previous-month {
    display: none;
  }
  .view--content-events.view--block-all-calendar .calendar-view-table tr,
  .view--content-events.view--block-all-calendar .calendar-view-table thead,
  .view--content-events.view--block-all-calendar .calendar-view-table tbody {
    grid-template-columns: 1fr;
  }
  .view--content-events.view--block-all-calendar .calendar-view-table .calendar-view-day__number {
    align-self: flex-start;
  }
}
